#ifdef __cplusplus
extern "C" {
#endif

#ifndef __GNUC__
#  define  __attribute__(x)  /*NOTHING*/
#endif

#undef FORMAT_STRING
#if _MSC_VER >= 1400
# include <sal.h>
# if _MSC_VER > 1400
#  define FORMAT_STRING(p) _Printf_format_string_ p
# else
#  define FORMAT_STRING(p) __format_string p
# endif /* FORMAT_STRING */
#else
# define FORMAT_STRING(p) p
#endif /* _MSC_VER */


int /*@printflike@*/ lprintf( char *buffer, int bfsize, FORMAT_STRING(const char *format), ... ) __attribute__((format(printf, 3, 4)));
int /*@printflike@*/ lpcat( char *buffer, int bfsize, FORMAT_STRING(const char *format), ... ) __attribute__((format(printf, 3, 4)));


#ifdef __cplusplus
}
#endif

