#ifndef DONE_VSNPRINTF
#define DONE_VSNPRINTF 1

//#define DEBUG_VSNPRINTF 1  This replaces snprintf and vsnprintf with one that wipes the entire buffer size 'count' bytes....
#ifdef DEBUG_VSNPRINTF

int test_vsnprintf(char *str, size_t count, const char *fmt, va_list args);
int test_snprintf(char *str, size_t count, const char *fmt,...);

#define vsnprintf test_vsnprintf
#define snprintf test_snprintf

#else

#ifdef WIN32
#if _MSC_VER < 1501
#define vsnprintf _vsnprintf
#define snprintf _snprintf
#endif
#endif
#endif
#endif
